<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePrivCode extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dc_priv_code', function (Blueprint $table) {
            $table->increments('id');
            $table->char('priv_name',100)->comment('权限名称 ')->nullable();
            $table->char('priv_code',100)->comment('权限代码 ')->nullable();
            $table->char('remark',255)->comment('权限说明 ')->nullable();
            $table->dateTime('create_at',64)->comment('时间 ')->nullable();
            $table->dateTime('update_at',64)->comment('更新时间 ')->nullable();
        });
      
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::dropIfExists('dc_priv_code');
    }
}
